var orgids=localStorage.getItem(getQueryVariable("JSONID")+"orgid");
$(function(){
	if(orgids.length==2){//市级登录
		$("#add").hide();
	}
	initTable();
	$("#add").click(function(){//新增
		dataId='';
		loadYears("year","");
		$("#zr").val('');
		$("#nr").val('');
		$("#yr").val('');
		$("#nl").val('');
		$("#ql").val('');
		$("#jqr").val('');
		$("#addModal").modal("show");
	});
	loadYears("selectYear","xmy_cpcl");
	loadYears("year","");
});
var dataId="";
function save(){//保存或修改
	var zr=$("#zr").val();
	var nr=$("#nr").val();
	var yr=$("#yr").val();
	var jqr=$("#jqr").val();
	var nl=$("#nl").val();
	var ql=$("#ql").val();
	if(zr!=''&&!moneycheck.test(zr)){
		showModal("猪肉产量请输入数字");
		return;
	}
	if(nr!=''&&!moneycheck.test(nr)){
		showModal("牛肉产量请输入数字");
		return;
	}
	if(yr!=''&&!moneycheck.test(yr)){
		showModal("羊肉产量请输入数字");
		return;
	}
	if(jqr!=''&&!moneycheck.test(jqr)){
		showModal("家禽肉产量请输入数字");
		return;
	}
	if(nl!=''&&!moneycheck.test(nl)){
		showModal("奶类产量请输入数字");
		return;
	}
	if(ql!=''&&!moneycheck.test(ql)){
		showModal("禽蛋产量请输入数字");
		return;
	}
	$.ajax({
		type:"Post",
		url:"../xmycpcl/addOrUpdate.service",
		data:{
			year:$("#year").val(),
			zr:zr,
			nr:nr,
			yr:yr,
			jqr:jqr,
			nl:nl,
			ql:ql,
			id:dataId
		},
		dataType:"json",
		success:function(data){
			showModal(data.message);
			if(data.success=='true'){
				$("#addModal").modal("hide");
				reloadTable();
				loadYears("selectYear","xmy_cpcl");
			}
		}
	});
}
function edit(rowId){//编辑
	dataId=rowId;
	var rowData = jQuery("#table_list_1").jqGrid("getRowData", rowId); //获取选中行的数据
	$("#zr").val(rowData.zr);
	$("#nr").val(rowData.nr);
	$("#yr").val(rowData.yr);
	$("#nl").val(rowData.nl);
	$("#ql").val(rowData.ql);
	$("#jqr").val(rowData.jqr);
	$("#year").val(rowData.year);
	$("#addModal").modal("show");
}
function deleteInfo(rowId){//删除某条数据
	modalComfirm("确定要删除吗？",function(res){
		if(res){
			$.ajax({
       			type:"Post",
				url:"../xmycpcl/delete.service",
				data:{
					id:rowId
				},
				dataType:"json",
				success:function(data){
					showModal(data.message);
					if(data.success=='true'){
						reloadTable();
					}
				}
       		});
		}
	})
}
function exportData(){//导出
	$.ajax({
		type : "post",
		url : "../xmycpcl/exportData.service",
		data : {
			'year':$("#selectYear").val()
		},
		dataType : "json",
		success : function(data) {
			if (data.success == "true") {
				showModal("导出成功:<a href='../" + data.data + "'>点击下载</a>");
			} else {
				showModal(data.message);
			}
		}
	});
}
function showImport(){//显示导入窗口
	$("#fileElement").val('');
	$('#modalImport').modal("show");
}
function importData() {
	var form = new FormData(document.getElementById("fom")); //获取from表单
	var fileElement = $("#fileElement").val();
	if (fileElement == "") {
		showModal("请选择导入文件"); //提示框
		return;
	}
	$('#modalImport').modal("hide");
	$.ajax({
		type : "Post",
		url : "../xmycpcl/importData.service",
		data : form,
		processData : false,
		contentType : false,
		dataType : "json",
		success : function(data) {
			showModal(data.message);
			if (data.success == "true") {
				reloadTable();
			}
		}
	});
}
function reloadTable(){//重新加载表格
	$("#table_list_1").jqGrid('setGridParam', {
		url : "../xmycpcl/getList.service",
		postData : {
			"year":$("#selectYear").val()
		},
		page : 1
	}).trigger("reloadGrid");
}
function initTable(){//表格初始化
	$.jgrid.defaults.styleUI = 'Bootstrap';
	 $("#table_list_1").jqGrid({
		 url:"../xmycpcl/getList.service", 
         datatype: "json",
         loadBeforeSend: function(xhr){
         	xhr.setRequestHeader("token",getQueryVariable("JSONID"));
         },
         height: 500,
         autowidth: true,
         shrinkToFit: true,
         rowNum: 30,
         rowList: [30, 60, 90],
         jsonReader: {  
         root:"list", page:"currPage", total:"totalpages",          //   很重要 定义了 后台分页参数的名字。
		 records:"count", repeatitems:false, id : "id"
    	 },
         colNames: ['操作','部门','年度','猪肉产量(吨)','牛猪肉产量(吨)','羊肉产量(吨)','家禽肉产量(吨)','奶类产量(吨)','禽蛋产量(吨)','畜禽总产量(吨)','orgid','id'],
         colModel: [
             {
                 name: 'type',
                 index: 'type',
                 width: 50,
                 formatter: function(cellValue,options,rowData){
                		 return "<a title='编辑' onclick='edit(" + options.rowId + ")'>" +
             	 		"<span class='glyphicon glyphicon-pencil'></span></a>&nbsp&nbsp<a title='删除' onclick='deleteInfo("+options.rowId+")'>" +
             	 		"<span style='color:red' class='glyphicon glyphicon-remove'></span></a>";
                 }
             },
             {
                 name: 'orgname',
                 index: 'orgname',
                 width: 100
             },
             {
                 name: 'year',
                 index: 'year',
                 width: 80
             },
             {
                 name: 'zr',
                 index: 'zr',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'nr',
                 index: 'nr',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'yr',
                 index: 'yr',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'jqr',
                 index: 'jqr',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'nl',
                 index: 'nl',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'ql',
                 index: 'ql',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'hj',
                 index: 'hj',
                 width: 80,
                 formatter:function(cellValue,options,rowData){
                	if(cellValue==0.0){
                		return "";
                	}
                	return cellValue;
                 }
             },
             {
                 name: 'orgid',
                 index: 'orgid',
                 hidden:true
             },
             {
                 name: 'id',
                 index: 'id',
                 hidden:true
             }
         ],
         pager: "#pager_list_1",
         viewrecords: true,
         multiselect: false,
         caption: "",
         hidegrid: false
     });
     $(window).bind('resize', function () {
         var width = $('.jqGrid_wrapper').width();
         $('#table_list_1').setGridWidth(width);
     }); 
}
